---
title: Closing a project board
intro: 'If you''ve completed all the tasks in a project board or no longer need to use a project board, you can close the project board.'
redirect_from:
  - /github/managing-your-work-on-github/managing-project-boards/closing-a-project-board
  - /articles/closing-a-project
  - /articles/closing-a-project-board
  - /github/managing-your-work-on-github/closing-a-project-board
versions:
  fpt: '*'
  ghes: '*'
  ghae: '*'
  ghec: '*'
topics:
  - Pull requests
---
{% data reusables.projects.project_boards_old %}

When you close a project board, any configured workflow automation will pause by default.

If you reopen a project board, you have the option to *sync* automation, which updates the position of the cards on the board according to the automation settings configured for the board. For more information, see "[Reopening a closed project board](/articles/reopening-a-closed-project-board)" or "[About automation for project boards](/articles/about-automation-for-project-boards)."

1. Navigate to the list of project boards in your repository or organization, or owned by your user account.
2. In the projects list, next to the project board you want to close, click {% octicon "chevron-down" aria-label="The chevron icon" %}.
![Chevron icon to the right of the project board's name](/assets/images/help/projects/project-list-action-chevron.png)
3. Click **Close**.
![Close item in the project board's drop-down menu](/assets/images/help/projects/close-project.png)

## Further reading

- "[About project boards](/articles/about-project-boards)"
- "[Deleting a project board](/articles/deleting-a-project-board)"
- "[Disabling project boards in a repository](/articles/disabling-project-boards-in-a-repository)"
- "[Disabling project boards in your organization](/articles/disabling-project-boards-in-your-organization)"
- "[Project board permissions for an organization](/articles/project-board-permissions-for-an-organization)"
